Bug 831820 - Torquebox compilation fails with JDK 7
Torquebox compilation fails with JDK 7
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TorqueBox (Show other bugs)
2.0.0.ER8
Unspecified Unspecified
medium Severity medium
: CR1
: 2.1.0
Assigned To: Ben Browning
Oliver Kišš
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 15:55 EDT by Oliver Kišš
Modified: 2015-08-02 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When compiling TorqueBox from sources using JDK 7, you should update maven-compiler-plugin version in torquebox-parent pom is changed from 2.0.2 to 2.5.1, then the compilation is successful.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:34:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Kišš 2012-06-13 15:55:58 EDT
Description of problem:

Torquebox compilation fails with JDK 7.

Extract from the maven output:
19:54:38  [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.0.2:compile (default-compile) on project torquebox-core: Compilation failure: Compilation failure:
19:54:38  [ERROR] could not parse error message: warning: [options] bootstrap class path not set in conjunction with -source 1.6
19:54:38  [ERROR] /mnt/hudson_workspace/workspace/wfk-2.0-torquebox/85a40f63/wfk-torquebox-ci/jboss-wfk-2.0.0.ER7/src/torquebox-2.0.3.redhat.1/modules/core/src/main/java/org/torquebox/core/datasource/processors/DatabaseProcessor.java:32: warning: [deprecation] ConnectorServices in org.jboss.as.connector has been deprecated
19:54:38  [ERROR] import org.jboss.as.connector.ConnectorServices;
19:54:38  [ERROR] ^
19:54:38  [ERROR] 
19:54:38  [ERROR] /mnt/hudson_workspace/workspace/wfk-2.0-torquebox/85a40f63/wfk-torquebox-ci/jboss-wfk-2.0.0.ER7/src/torquebox-2.0.3.redhat.1/modules/core/src/main/java/org/torquebox/core/datasource/processors/DatabaseProcessor.java:[32,29] [deprecation] ConnectorServices in org.jboss.as.connector has been deprecated
19:54:38  [ERROR] 



When maven-compiler-plugin version in torquebox-parent pom is changed from 2.0.2 to 2.5.1, compilation is successful.
Comment 1 Karel Piwko 2012-06-20 11:07:26 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When compiling TorqueBox from sources using JDK 7, you should update maven-compiler-plugin version in torquebox-parent pom is changed from 2.0.2 to 2.5.1, than the compilation is successful.
Comment 3 Ben Browning 2012-08-27 11:41:34 EDT
Updated to maven-compiler-plugin 2.5.1 in upstream
Comment 4 Marek Novotny 2012-09-25 05:40:13 EDT
Product Mead environment uses version 2.3.2-redhat-1.

I don't understand why you would like to compile TB sources with JDK 7. We have set up only JDK 6 in MEAD.
Comment 5 Karel Piwko 2012-09-25 07:19:20 EDT
Compilation from sources is needed in order to execute integration tests attached to the project.

This is not related to bits in MEAD.
Comment 6 Marek Novotny 2012-09-25 07:27:12 EDT
There is a requirement to build with JDK7 for integration tests?

 I would say that requires to be run on JDK7, but not compiled.
Comment 7 Karel Piwko 2012-09-25 09:21:22 EDT
Nope. You can still build the binaries for end users with jdk6 only. However, it is required to be able to reproduce the process with JDK7 as well.
Comment 8 Marek Novotny 2012-09-25 10:07:30 EDT
OK, but you should use what was built in MEAD environment, not what you build in integration testsuite, that is my point. The integration tests then are not valid for WFK Torquebox IMO.

And what is more important, this issue reports using version 2.0.2, but that is not the version used in WFK torquebox. This bz report seems like running community bits. ;-)

Plugins are managed in jboss-parent and if you need run productized integration testsuite you should use those versions (compiler 2.3.2 or 2.3.2-redhat-1)

I won't change anything in TB for this issue and honestly will reject it if you doesn't explain it more where 2.0.2 version show up in productized torquebox.
Comment 9 Karel Piwko 2012-11-05 09:36:37 EST
Moved to ON_QA, will be (re)verified in WFK 2.1.0.CR1.
Comment 10 Karel Piwko 2012-11-30 10:34:27 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.